Utilstop - Bug #2084

Session Timeout
10/08/2024 05:10 PM - Sasi Bhushan

Status: Fixed Start date: 10/08/2024
Priority: High Due date:

Assignee: Sasi Bhushan % Done: 100%
Category: Estimated time: 1.00 hour
Target version: Spent time: 1.00 hour
Description

Implement session timeout. We can logout after a 30 minute inactive session. After a session expires, make sure to invalidate the
session token to prevent further use. Currently it is observed that even the second day of login previous session is active.

History

#1 - 10/16/2024 09:52 AM - Kamal Gadepalli
- Status changed from Created to Fixed

- % Done changed from 0 to 100

- Estimated time set to 1.00 h

Current implementation is =>

We are dealing with 2 tokens, once is token and refresh token

token will expire in 30 mins, in that case will try to regenerate both tokens again with the help of Refresh token. (Currently refresh token is valid for 1
hr), if refresh token also expires then user will logout automatically when trying for new API cal.

#2 - 10/16/2024 09:52 AM - Kamal Gadepalli

- Assignee changed from Nalin Y to Sasi Bhushan
